.\"	$NetBSD: obio.4,v 1.5 2009/05/27 19:24:00 snj Exp $
.\"
.\" Copyright (c) 2003 Alex Zepeda <zipzippy@sonic.net>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Alex Zepeda.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 21, 2003
.Dt OBIO 4 macppc
.Os
.Sh NAME
.Nm obio
.Nd introduction to Macintosh On-Board IO bus support and drivers
.Sh SYNOPSIS
.Cd "obio0 at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
interface serves as an abstraction used by the autoconfiguration
system to help find and attach devices (e.g. the Ethernet or disk
controllers) connected to the Macintosh onboard I/O bus.
.Sh HARDWARE
.Nx
includes machine-dependent
.Tn On-Board
drivers, sorted by device type and driver name:
.Ss SCSI interfaces
.Bl -tag -width burgundy -offset indent
.It esp
NCR 53C9x
.Tn SCSI
interfaces.
.It mesh
Apple Macintosh Enhanced SCSI Hardware
.Tn SCSI
interfaces.
.El
.Ss Disk and tape controllers
.Bl -tag -width burgundy -offset indent
.It wdc
Standard IDE/ATAPI type hard drive controllers.
.It mediabay
Standard IDE/ATAPI type CD-ROM drive controllers in PowerBooks.
.El
.Ss Network interfaces
.Bl -tag -width burgundy -offset indent
.It bm
Apple BMac ethernet interface.
.It mc
Apple MACE ethernet interface.
.It gem
GMAC ethernet interface.
.It wi
WaveLAN/IEEE and PRISM-II 802.11 wireless interfaces.
.El
.Ss Serial interfaces
.Bl -tag -width burgundy -offset indent
.It zsc
Zilog 8530 serial communications interfaces.
.El
.Ss Audio devices
.Bl -tag -width burgundy -offset indent
.It awacs
Apple's
.Sq "audio waveform amplifier and converter for sound"
audio device found on most macppc models.
May not work on several G4 and iBook models.
.El
.Ss Miscellaneous devices
.Bl -tag -width burgundy -offset indent
.It adb
Apple Desktop Bus for keyboards, mice, and other input devices.
.It nvram
Placeholder device for the persistent system settings.
.El
.Sh SEE ALSO
.Xr adb 4 ,
.Xr autoconf 4 ,
.Xr awacs 4 ,
.Xr bm 4 ,
.Xr esp 4 ,
.Xr gem 4 ,
.Xr intro 4 ,
.Xr mc 4 ,
.Xr mediabay 4 ,
.Xr mesh 4 ,
.Xr wdc 4 ,
.Xr wi 4 ,
.Xr zsc 4
.Sh HISTORY
.Nm
first appeared in
.Nx 1.2 .
